Thonny startet nicht

  • Beim Starten von Thonny erscheint die Sanduhr und verschwindet nach einigen Sekunden. Das Fenster geht nicht auf. Es gibt keine Fehlermeldung. Auch in log-Files nichts gefunden.

    Wer kann mir weiterhelfen oder hat eine Idee ? Ich bin ratlos.

  • Das bekomme ich, wenn ich thonny im Terminalfenster starte : (Das war schon mal einen gute Idee)

    pi@raspberrypi:/usr/share/applications $ thonny

    ERROR:root:Internal launch or mainloop error

    Traceback (most recent call last):

    File "/usr/lib/python3/dist-packages/thonny/__init__.py", line 165, in launch

    bench = workbench.Workbench()

    File "/usr/lib/python3/dist-packages/thonny/workbench.py", line 130, in __init__

    self._init_configuration()

    File "/usr/lib/python3/dist-packages/thonny/workbench.py", line 231, in _init_configuration

    self._configuration_manager = try_load_configuration(thonny.CONFIGURATION_FILE)

    File "/usr/lib/python3/dist-packages/thonny/config.py", line 25, in try_load_configuration

    mgr = ConfigurationManager(filename)

    File "/usr/lib/python3/dist-packages/thonny/config.py", line 53, in __init__

    self._ini.read_file(fp)

    File "/usr/lib/python3.7/configparser.py", line 717, in read_file

    self._read(f, source)

    File "/usr/lib/python3.7/configparser.py", line 1014, in _read

    for lineno, line in enumerate(fp, start=1):

    File "/usr/lib/python3.7/codecs.py", line 322, in decode

    (result, consumed) = self._buffer_decode(data, self.errors, final)

    UnicodeDecodeError: 'utf-8' codec can't decode byte 0xa6 in position 28: invalid start byte

    Traceback (most recent call last):

    File "/usr/lib/python3/dist-packages/thonny/__init__.py", line 165, in launch

    bench = workbench.Workbench()

    File "/usr/lib/python3/dist-packages/thonny/workbench.py", line 130, in __init__

    self._init_configuration()

    File "/usr/lib/python3/dist-packages/thonny/workbench.py", line 231, in _init_configuration

    self._configuration_manager = try_load_configuration(thonny.CONFIGURATION_FILE)

    File "/usr/lib/python3/dist-packages/thonny/config.py", line 25, in try_load_configuration

    mgr = ConfigurationManager(filename)

    File "/usr/lib/python3/dist-packages/thonny/config.py", line 53, in __init__

    self._ini.read_file(fp)

    File "/usr/lib/python3.7/configparser.py", line 717, in read_file

    self._read(f, source)

    File "/usr/lib/python3.7/configparser.py", line 1014, in _read

    for lineno, line in enumerate(fp, start=1):

    File "/usr/lib/python3.7/codecs.py", line 322, in decode

    (result, consumed) = self._buffer_decode(data, self.errors, final)

    UnicodeDecodeError: 'utf-8' codec can't decode byte 0xa6 in position 28: invalid start byte


    During handling of the above exception, another exception occurred:


    Traceback (most recent call last):

    File "/usr/bin/thonny", line 11, in <module>

    load_entry_point('thonny==3.2.6', 'gui_scripts', 'thonny')()

    File "/usr/lib/python3/dist-packages/thonny/__init__.py", line 185, in launch

    ui_utils.show_dialog(dlg, get_workbench())

    File "/usr/lib/python3/dist-packages/thonny/ui_utils.py", line 2087, in show_dialog

    get_workbench().event_generate("WindowFocusOut")

    File "/usr/lib/python3/dist-packages/thonny/workbench.py", line 1587, in event_generate

    if sequence in self._event_handlers:

    File "/usr/lib/python3.7/tkinter/__init__.py", line 2101, in __getattr__

    return getattr(self.tk, attr)

    File "/usr/lib/python3.7/tkinter/__init__.py", line 2101, in __getattr__

    return getattr(self.tk, attr)

    File "/usr/lib/python3.7/tkinter/__init__.py", line 2101, in __getattr__

    return getattr(self.tk, attr)

    [Previous line repeated 495 more times]

    RecursionError: maximum recursion depth exceeded while calling a Python object

    pi@raspberrypi:/usr/share/applications $

  • Sieht nach einem defekten Konfigurationsfile aus. Oder die Installation von Thonny ist im Eimer. Aber ich würde erstmal die config reparieren.

    • Official Post

    Steht in unter Desktop-Datei auch ein Pfad zu einem Arbeitsverzeichnis (oder so ähnlich)? Dann wechsle mal im Terminal da hin und starte Tonny nochmals mit dem Befehl aus dem Eintrag.

    Falls kein Arbeitsverzeichnis angegeben ist, dann tippe ich auch auf Installation kaputt.

  • Wenn die Konfiguration im Home Verzeichnis lebt, wird ein purge nix bringen.

  • Hallo zusammen.

    Ich habe ein ähnliches Problem. Nach dem ich einen beinahe Kurzschluss ausgelöst habe, läuft alles ausser das Thonny Python dass in dem Moment offen war. Wenn ich es öffne, öffnet sich das Fenster und der Text wird angezeigt. Dann geht gar nichts mehr. Die Buttons zum starten und stoppen laden nicht und der Text ist weder in den typischen Programmierfarben noch lässt er sich bearbeiten. Nun habe ich das erste mal Thonny deinstalliert mit sudo apt remove python3-thonny und da kam die Meldung dass es gar nicht installiert wäre. Ich lud es hinunter und deinstallierte es mit purge. Es ist weg aber die Verknüpfung im Programmbereich ist noch da und wenn ich sie öffne, passiert das gleiche wie am Anfang.


    Wie kann ich die Verknüpfung löschen und was soll ich sonst noch tun?


    Vielen Dank für die Hilfe im Vorraus.


    Raspbifriend



    PS: ist es eigentlich erlaubt in andere Threads ebenfalls Fragen zu stellen?

    Wenn nein: Sorry das wusste ich nicht.

    Die Hand voller Asse, doch das Leben spielt Schach.



    Erfolg besteht aus drei Buchstaben: Tun

    Göthe

  • Das Programm startet wieder es braucht mehr als 2 mins bis es komplett hochgefahren ist.... und es hängt extrem..


    Nach erneutem Purge läuft es auch nicht besser. Habt Ihr eine Ahnung was los sein könnte? Ausserdem kann der Text immer noch nicht bearbeitet werden. Dann hängt sich das Programm auf.


    Vielen Dank für eure Hilfe. In der Zwischenzeit kann ich zum Glück noch mit Mu arbeiten oder wie das heisst.


    Raspbifriend

    Die Hand voller Asse, doch das Leben spielt Schach.



    Erfolg besteht aus drei Buchstaben: Tun

    Göthe

    Edited 3 times, last by Tundrameise ().

  • Hallo Leute.

    Hat eigentlich schon irgendwer eine Idee oder Lösung für das Obige Problem?


    Freundliche Grüsse


    Raspbifriend

    Die Hand voller Asse, doch das Leben spielt Schach.



    Erfolg besteht aus drei Buchstaben: Tun

    Göthe